<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: FirearmActionLoadBullet Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/daa/class_firearm_action_load_bullet.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">FirearmActionLoadBullet Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for FirearmActionLoadBullet:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/daa/class_firearm_action_load_bullet.png" usemap="#FirearmActionLoadBullet_map" alt=""/>
  <map id="FirearmActionLoadBullet_map" name="FirearmActionLoadBullet_map">
<area href="../../d1/d3a/class_firearm_action_base.html" alt="FirearmActionBase" shape="rect" coords="0,0,151,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ab9192953f3cabaeda0d69140e42855e7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/daa/class_firearm_action_load_bullet.html#ab9192953f3cabaeda0d69140e42855e7">FirearmActionLoadBullet</a> ()</td></tr>
<tr class="separator:ab9192953f3cabaeda0d69140e42855e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00a12cfbd11642eaa653cd25ead42d19"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/daa/class_firearm_action_load_bullet.html#a00a12cfbd11642eaa653cd25ead42d19">GetActionCategory</a> ()</td></tr>
<tr class="separator:a00a12cfbd11642eaa653cd25ead42d19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a1937639cd5306fa4687cdf3ba4390e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/daa/class_firearm_action_load_bullet.html#a9a1937639cd5306fa4687cdf3ba4390e">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a9a1937639cd5306fa4687cdf3ba4390e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4811af44e520c6b0b2e926d3ba9f1c1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/daa/class_firearm_action_load_bullet.html#ab4811af44e520c6b0b2e926d3ba9f1c1">Start</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:ab4811af44e520c6b0b2e926d3ba9f1c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6e6462255cac5742091854e67e0dac3"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/daa/class_firearm_action_load_bullet.html#ae6e6462255cac5742091854e67e0dac3">CanBePerformedFromInventory</a> ()</td></tr>
<tr class="separator:ae6e6462255cac5742091854e67e0dac3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61e08fa16525ebe91b871206985aa73f"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/daa/class_firearm_action_load_bullet.html#a61e08fa16525ebe91b871206985aa73f">CanBePerformedFromQuickbar</a> ()</td></tr>
<tr class="separator:a61e08fa16525ebe91b871206985aa73f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html#l00001">1</a> of file <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab9192953f3cabaeda0d69140e42855e7" name="ab9192953f3cabaeda0d69140e42855e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9192953f3cabaeda0d69140e42855e7">&#9670;&#160;</a></span>FirearmActionLoadBullet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FirearmActionLoadBullet::FirearmActionLoadBullet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html#l00006">6</a> of file <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a9a1937639cd5306fa4687cdf3ba4390e" name="a9a1937639cd5306fa4687cdf3ba4390e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a1937639cd5306fa4687cdf3ba4390e">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> FirearmActionLoadBullet::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html#l00026">26</a> of file <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a>.</p>

</div>
</div>
<a id="ae6e6462255cac5742091854e67e0dac3" name="ae6e6462255cac5742091854e67e0dac3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6e6462255cac5742091854e67e0dac3">&#9670;&#160;</a></span>CanBePerformedFromInventory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> FirearmActionLoadBullet::CanBePerformedFromInventory </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html#l00045">45</a> of file <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a>.</p>

</div>
</div>
<a id="a61e08fa16525ebe91b871206985aa73f" name="a61e08fa16525ebe91b871206985aa73f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61e08fa16525ebe91b871206985aa73f">&#9670;&#160;</a></span>CanBePerformedFromQuickbar()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> FirearmActionLoadBullet::CanBePerformedFromQuickbar </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html#l00050">50</a> of file <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a>.</p>

</div>
</div>
<a id="a00a12cfbd11642eaa653cd25ead42d19" name="a00a12cfbd11642eaa653cd25ead42d19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00a12cfbd11642eaa653cd25ead42d19">&#9670;&#160;</a></span>GetActionCategory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> FirearmActionLoadBullet::GetActionCategory </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html#l00011">11</a> of file <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a>.</p>

</div>
</div>
<a id="ab4811af44e520c6b0b2e926d3ba9f1c1" name="ab4811af44e520c6b0b2e926d3ba9f1c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4811af44e520c6b0b2e926d3ba9f1c1">&#9670;&#160;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void FirearmActionLoadBullet::Start </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html#l00037">37</a> of file <a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Weapons/<a class="el" href="../../df/d32/_firearm_action_load_bullet_8c_source.html">FirearmActionLoadBullet.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/daa/class_firearm_action_load_bullet.html">FirearmActionLoadBullet</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
